Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-38190

Repository Connector fail to recuperate the parameter ${version} from maven repsitory artifact

    Details

    • Similar Issues:

      Description

      Hello,

      We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succeed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: (org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}')
      For more details please check the attached files.
      I am looking for your help.

      Best regards

        Attachments

        1. Artifact Resolver.png
          Artifact Resolver.png
          17 kB
        2. Build.png
          Build.png
          4 kB
        3. Error-Build.PNG
          Error-Build.PNG
          27 kB
        4. maven-repository-artifact.PNG
          maven-repository-artifact.PNG
          8 kB
        5. POM.xml
          4 kB

          Issue Links

            Activity

            mariem_baccar mariem baccar created issue -
            mariem_baccar mariem baccar made changes -
            Field Original Value New Value
            Description Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error (org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}'). For more details please check the attached files.
            I am looking for your help.

            Best regards
            Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}'
            For more details please check the attached files.
            I am looking for your help.

            Best regards
            mariem_baccar mariem baccar made changes -
            Description Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}'
            For more details please check the attached files.
            I am looking for your help.

            Best regards
            Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: (org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}')
            For more details please check the attached files.
            I am looking for your help.

            Best regards
            mariem_baccar mariem baccar made changes -
            Description Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: (org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}')
            For more details please check the attached files.
            I am looking for your help.

            Best regards
            Hello,

            We are using repository-connector plugin (version 1.1.3) for resolving maven repository artifact in jenkins 2.11. When I launch the "build with parameters", it succeed to give me the release versions stored in Nexus 2.12.0.01. But after choosing a version and building the job, it fails with the following error: (org.jenkinsci.plugins.tokenmacro.MacroEvaluationException: Unrecognized macro 'version' in '${version}')
            For more details please check the attached files.
            I am looking for your help.

            Best regards
            ahmedkolsi ahmed kolsi made changes -
            Assignee ahmed kolsi [ ahmedkolsi ]
            ahmedkolsi ahmed kolsi made changes -
            Assignee ahmed kolsi [ ahmedkolsi ]
            bilel_krichen Bilel Krichen made changes -
            Assignee Bilel Krichen [ bilel_krichen ]
            bilel_krichen Bilel Krichen made changes -
            Assignee Bilel Krichen [ bilel_krichen ]
            jgangemi Jae Gangemi made changes -
            Link This issue blocks JENKINS-36149 [ JENKINS-36149 ]
            jgangemi Jae Gangemi made changes -
            Status Open [ 1 ] Resolved [ 5 ]
            Resolution Duplicate [ 3 ]
            jgangemi Jae Gangemi made changes -
            Status Resolved [ 5 ] Closed [ 6 ]

              People

              • Assignee:
                Unassigned
                Reporter:
                mariem_baccar mariem baccar
              • Votes:
                6 Vote for this issue
                Watchers:
                9 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: